Publications
Anonymous public dashboard publication lifecycle.
Operations
Each operation lists its specific responses. See Common error responses for errors shared by every operation on this page.
List dashboard publications in a workspace
GET /api/v1/workspaces/{workspace}/dashboard-publications
Operation ID: listDashboardPublications
Effect: read
Confirmation: never
Required privilege: MANAGE_PUBLICATIONS
Focused reference: JSON · Markdown
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
workspace |
path | Yes | string |
Responses
| Status | Description |
|---|---|
200 |
The request has succeeded. |
Get a dashboard publication
GET /api/v1/workspaces/{workspace}/dashboard-publications/{publication}
Operation ID: getDashboardPublication
Effect: read
Confirmation: never
Required privilege: MANAGE_PUBLICATIONS
Focused reference: JSON · Markdown
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
workspace |
path | Yes | string | |
publication |
path | Yes | string |
Responses
| Status | Description |
|---|---|
200 |
The request has succeeded. |
Resume a configured dashboard publication
POST /api/v1/workspaces/{workspace}/dashboard-publications/{publication}/resume
Operation ID: resumeDashboardPublication
Effect: write
Confirmation: conditional
Required privilege: MANAGE_PUBLICATIONS
Focused reference: JSON · Markdown
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
workspace |
path | Yes | string | |
publication |
path | Yes | string | |
Idempotency-Key |
header | Yes | string |
Responses
| Status | Description |
|---|---|
200 |
The request has succeeded. |
Rotate a dashboard publication public ID
POST /api/v1/workspaces/{workspace}/dashboard-publications/{publication}/rotate
Operation ID: rotateDashboardPublication
Effect: write
Confirmation: conditional
Required privilege: MANAGE_PUBLICATIONS
Focused reference: JSON · Markdown
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
workspace |
path | Yes | string | |
publication |
path | Yes | string | |
Idempotency-Key |
header | Yes | string |
Responses
| Status | Description |
|---|---|
200 |
The request has succeeded. |
Suspend a dashboard publication immediately
POST /api/v1/workspaces/{workspace}/dashboard-publications/{publication}/suspend
Operation ID: suspendDashboardPublication
Effect: write
Confirmation: conditional
Required privilege: MANAGE_PUBLICATIONS
Focused reference: JSON · Markdown
Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
workspace |
path | Yes | string | |
publication |
path | Yes | string | |
Idempotency-Key |
header | Yes | string |
Responses
| Status | Description |
|---|---|
200 |
The request has succeeded. |
Common error responses
These error responses apply to every operation on this page.
| Status | Description |
|---|---|
400 |
The server could not understand the request due to invalid syntax. |
401 |
Access is unauthorized. |
403 |
Access is forbidden. |
404 |
The server cannot find the requested resource. |
409 |
The request conflicts with the current state of the server. |
412 |
Precondition failed. |
413 |
Client error |
415 |
Client error |
422 |
Client error |
429 |
Client error |
500 |
Server error |
502 |
Server error |
503 |
Service unavailable. |